and.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/logical/bool.hpp>`
`#include <msgpack/preprocessor/logical/bitand.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_AND(p, q) MSGPACK_PP_AND_I(p, q)
#define | MSGPACK_PP_AND_I(p, q) MSGPACK_PP_BITAND(MSGPACK_PP_BOOL(p), MSGPACK_PP_BOOL(q))

## Macro Definition Documentation

## MSGPACK_PP_AND

#define MSGPACK_PP_AND | ( |  | p,
|  |  | q
| ) |  | MSGPACK_PP_AND_I(p, q)

## MSGPACK_PP_AND_I

#define MSGPACK_PP_AND_I | ( |  | p,
|  |  | q
| ) |  | MSGPACK_PP_BITAND(MSGPACK_PP_BOOL(p), MSGPACK_PP_BOOL(q))